Rotate or Offset point symbols tools do not recognize layer field when set through expression dialog 

instead of the field checkbox
Status: Open

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23728

Description

I don't know if it's a feature request or a bug but when setting the rotation/offset field for a symbol, from the data-defined widget, if you

select the field in the list of proposed fields, all is ok. But if instead, you use the expression widget to set the same field (and only the field,

no custom expression), it doesn't work.

QGIS returns "The selected point does not have a rotation/offset attribute set"

Related issues:

Duplicated by QGIS Application - Bug report # 20196: [Data-defined] An expres... Closed 2018-10-23

History

#1 - 2017-05-01 01:02 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2017-09-22 09:56 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2018-10-23 02:22 PM - Harrissou Santanna

- Duplicated by Bug report #20196: [Data-defined] An expression with just the field in it is not recognized as the field itself added

#4 - 2018-10-23 02:23 PM - Harrissou Santanna

- Affected QGIS version changed from 2.18.0 to 3.3(master)

- Description updated

- Category changed from Unknown to Expressions
